package jj.tech.paolu.repository.mybatis.control;

import jj.tech.paolu.repository.mybatis.dao.SysAdminMapper;
import jj.tech.paolu.repository.mybatis.entity.SysAdmin;
import jj.tech.paolu.utils.IDHelp;
import jj.tech.paolu.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("mybatis/sysAdmin")
public class SysAdminController {

    @Autowired
    public SysAdminMapper sysAdminMapper;

    @PostMapping("findById/{id}")
    public Object findById(@PathVariable("id") String id) {
        return R.SUCCESS(sysAdminMapper.selectByPrimaryKey(id).orElse(null));
    }

    @PostMapping("delete/{id}")
    public Object delete(@PathVariable("id") String id) {
        return R.SUCCESS(sysAdminMapper.deleteByPrimaryKey(id));
    }

    @PostMapping("save")
    public Object save(@RequestBody SysAdmin record) {
        record.setId(IDHelp.getInstance().nextId());
        return R.SUCCESS(sysAdminMapper.insertSelective(record));
    }

    @PostMapping("update")
    public Object update(@RequestBody SysAdmin record) {
        return R.SUCCESS(sysAdminMapper.updateByPrimaryKeySelective(record));
    }
}